#ifndef _UI_CONFIG_DLG_H_
#define _UI_CONFIG_DLG_H_

#include <qdialog.h>

class QLabel;
class QButtonGroup;
class QRadioButton;
class QComboBox;

class KConfig;

class CUIConfigDlg : public QDialog
{
  Q_OBJECT

public:
  CUIConfigDlg(QWidget *parent, const char* name);
  ~CUIConfigDlg();

  void writeOptions();

protected:

  QButtonGroup* fToFieldGroup;
 
  QRadioButton* fTo;
  QRadioButton* fAddress;
  QRadioButton* fDisabled;

  QComboBox* fTBComboBox;
  QComboBox* fSBComboBox;

  QLabel *fStaticRadioDesc;
  QLabel *fStaticTBDesc;
  QLabel *fStaticSBDesc;

  void setupToFieldGroup(KConfig* config);
  void setupTBGroup(KConfig* config);
  void setupSBGroup(KConfig* config);

public slots:
  
};

#endif
